View Issue Details

IDProjectCategoryView StatusLast Update
0000133ascendtcltk-guipublic2008-02-10 13:04
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000133: Standardised error reporting
DescriptionA problem with the usability of ASCEND is that there is a large amount of information output to the terminal window which it runs from. One needs to monitor this terminal output to find out where ASCEND says you have errors in your code.

A standardised error reporting method would allow error messags to be distinguished from status/debugging output. A first, simple step would be to allow the user to have such errors highlighted with a colour.
TagsNo tags attached.

Relationships

related to 0000089 closedjohn gcc-style errors 
related to 0000087 resolvedjohn Invalid variables in a METHOD don't trip script execution 
related to 0000071 closedjohn Hard to debug new Ascend models: development iteration is unusable 

Activities

john

2005-11-12 05:05

administrator   ~0000035

Have created working version of 'error.h' and 'error.c' which need to be added to utilities directory. The AscConfig.h file needs to be patched to #include <error.h> and the #define FPRINTF needs to be changed to #define fprintf_error_reporter.

john

2005-11-12 05:12

administrator   ~0000036

This page
http://www.swig.org/Doc1.1/HTML/Python.html#n11

gives a useful example of how to create a callback function which could report errors messages to the python interface.

john

2005-12-06 16:03

administrator   ~0000072

A method is in place for this now and error messages are gradually being migrated to the new form.

Issue History

Date Modified Username Field Change
2005-11-12 05:04 john New Issue
2005-11-12 05:05 john Note Added: 0000035
2005-11-12 05:05 john Status new => assigned
2005-11-12 05:05 john Assigned To => john
2005-11-12 05:12 john Note Added: 0000036
2005-11-15 04:14 john Relationship added related to 0000089
2005-11-15 05:14 john Relationship added related to 0000087
2005-11-15 05:17 john Relationship added related to 0000071
2005-12-06 16:03 john Status assigned => resolved
2005-12-06 16:03 john Resolution open => fixed
2005-12-06 16:03 john Note Added: 0000072
2008-02-10 13:04 john Status resolved => closed